"use strict";
// Copyright 2021 Google Inc. Use of this source code is governed by an
// MIT-style license that can be found in the LICENSE file or at
// https://opensource.org/licenses/MIT.
Object.defineProperty(exports, "__esModule", { value: true });
const immutable_1 = require("immutable");
const value_1 = require("./value");
// SassScript null. Cannot be constructed; exists only as the exported
// singleton.
class SassNull extends value_1.Value {
    constructor() {
        super(...arguments);
        this._hashCode = immutable_1.hash(null);
    }
    get isTruthy() {
        return false;
    }
    get realNull() {
        return null;
    }
    equals(other) {
        return this === other;
    }
    hashCode() {
        return this._hashCode;
    }
}
/** The singleton instance of SassScript null. */
exports.sassNull = new SassNull();
Object.freeze(exports.sassNull);
//# sourceMappingURL=null.js.map