/**
 * Gets the latest version of the Embedded Protocol. Throws if an error occurs.
 *
 * @param version - The Git ref to check out and build. Defaults to `main`.
 * @param path - Build from this path instead of pulling from Github.
 * @param release - Download the latest release instead of building from source.
 */
export declare function getEmbeddedProtocol(options: {
    outPath: string;
    version?: string;
    path?: string;
    release?: boolean;
}): Promise<void>;
/**
 * Gets the latest version of the Dart Sass wrapper for the Embedded Compiler.
 * Throws if an error occurs.
 *
 * @param version - If `release` is true, the version of the released binary to
 *   download (defaults to the latest version). If it's false, the Git ref to
 *   check out and build (defaults to main).
 * @param path - Build from this path instead of pulling from Github.
 * @param release - Download the latest release instead of building from source.
 */
export declare function getDartSassEmbedded(options: {
    outPath: string;
    version?: string;
    path?: string;
    release?: boolean;
}): Promise<void>;
